Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Class CallerInvocation

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.CallerInvocation

All Implemented Interfaces:
  Invocation, Serializable

Direct Known Subclasses:
  ConstructorCalledByConstructorInvocation, ConstructorCalledByMethodInvocation, MethodCalledByConstructorInvocation, MethodCalledByMethodInvocation

public abstract class CallerInvocation
extends InvocationBase

Version:
  $Revision: 1.11 $
Author:
  Kabir Khan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`CallerInvocation(Advisor advisor, Interceptor[] interceptors)`
`CallerInvocation(Interceptor[] interceptors)`

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`addResponseAttachment, getAdvisor, getCurrentInterceptor, getInstanceResolver, getInterceptors, getMetaData, getMetaData, getResponseAttachment, getResponseContextInfo, getTargetObject, invokeNext, invokeNext, resolveAnnotation, resolveAnnotation, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver, setMetaData, setResponseContextInfo, setTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.joinpoint.Invocation
`copy, getWrapper`

Constructor Detail

### CallerInvocation

    public CallerInvocation(Advisor advisor,
                            Interceptor[] interceptors)

### CallerInvocation

    public CallerInvocation(Interceptor[] interceptors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.